easy creation of OSDs.
- RBD is actually buildable and can be used to manage RADOS BLOCK
DEVICEs.
- - Most of the awkward dependencies on Linux-isms are deleted only
+ - Most of the awkward dependencies on Linux-isms are deleted only
/bin/bash is there to stay.
Getting the FreeBSD work on Ceph:
-#!/bin/bash
+#!/usr/bin/env bash
pool=rbd
image=my-image
-#!/bin/bash
+#!/usr/bin/env bash
lttng create
lttng enable-event -u 'librbd:*'
-#!/bin/bash
+#!/usr/bin/env bash
../../src/rbd-replay-prep traces/ust/uid/10002/64-bit replay.bin
-#!/bin/bash
+#!/usr/bin/env bash
mkdir -p traces
lttng create -o traces librbd
-#!/bin/bash -e
+#!/usr/bin/env bash
#
# Ceph distributed storage system
#
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
+set -e
DIR=/tmp/install-deps.$$
trap "rm -fr $DIR" EXIT
mkdir -p $DIR
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
set -e
#
# Script to mirror Ceph locally
-#!/bin/bash
+#!/usr/bin/env bash
#
# Simple script which performs a HTTP and rsync check on
# all Ceph mirrors over IPv4 and IPv6 to see if they are online
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
basedir=`echo $0 | sed 's/[^/]*$//g'`.
. $basedir/common.sh
-#! /bin/bash -e
+#!/usr/bin/env bash
+set -e
mount () { :; }
umount () { :; }
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
basedir=`echo $0 | sed 's/[^/]*$//g'`.
testdir="$1"
-#!/bin/bash
+#!/usr/bin/env bash
# $1 - part
# $2 - branch name
-#!/bin/bash
+#!/usr/bin/env bash
#command line => CEPH_BRANCH=<branch>; MACHINE_NAME=<machine_type>; SUITE_NAME=<suite>; ../schedule_subset.sh <day_of_week> $CEPH_BRANCH $MACHINE_NAME $SUITE_NAME $CEPH_QA_EMAIL
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
mkdir links
for f in `seq 1 8`
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
for f in `seq 1 8`
do
-#!/bin/bash
+#!/usr/bin/env bash
# /nightlies/cron_wrapper.sh
# check for no argument case and stop
-#! /bin/bash
+#! /usr/bin/env bash
if [ $# -ne 5 ]; then
echo 'Usage: ceph_install.sh <admin-node> <mon-node> <osd-node> <osd-node> <osd-node>'
exit -1
-#! /bin/bash
+#! /usr/bin/env bash
if [ -f ~/secrets ]; then
source ~/secrets
fi
-#! /bin/bash
+#! /usr/bin/env bash
cephnodes=$*
monnode=$1
sudo yum -y install ceph-ansible
-#! /bin/bash
+#! /usr/bin/env bash
ed /etc/ansible/hosts << EOF
$
a
-#! /bin/bash
+#! /usr/bin/env bash
ed /usr/share/ceph-ansible/group_vars/osds << EOF
$
/^devices:
-#! /bin/bash
+#! /usr/bin/env bash
source copy_func.sh
allparms=$*
cmdv=$1
-#! /bin/bash
+#! /usr/bin/env bash
SPECIFIC_VERSION=latest-Ceph-2-RHEL-7
#SPECIFIC_VERSION=Ceph-2-RHEL-7-20160630.t.0
#SPECIFIC_VERSION=Ceph-2.0-RHEL-7-20160718.t.0
-#! /bin/bash
+#! /usr/bin/env bash
cmd_wait=$1
shift
sites=$*
-#!/bin/bash
+#!/usr/bin/env bash
declare -A rsapub
for fulln in $*; do
sname=`echo $fulln | sed 's/\..*//'`
-#!/bin/bash -f
+#!/usr/bin/env bash
+set -f
+
#
# On the ceph site, make the pools required for Openstack
#
-#! /bin/bash -f
+#!/usr/bin/env bash
+set -f
+
echo $OS_CEPH_ISO
if [[ $# -ne 4 ]]; then
echo "Usage: ceph_cluster mon.0 osd.0 osd.1 osd.2"
-#!/bin/bash -f
+#!/usr/bin/env bash
+set -f
#
# Generate a libvirt secret on the Openstack node.
-#!/bin/bash -f
+#!/usr/bin/env bash
+set -f
+
#
# Remotely setup the stuff needed to run packstack. This should do items 1-4 in
# https://docs.google.com/document/d/1us18KR3LuLyINgGk2rmI-SVj9UksCE7y4C2D_68Aa8o/edit?ts=56a78fcb
-#!/bin/bash -fv
+#!/usr/bin/env bash
+set -fv
+
#
# Create a glance image, a corresponding cinder volume, a nova instance, attach, the cinder volume to the
# nova instance, and create a backup.
-#!/bin/bash -fv
+#!/usr/bin/env bash
+set -fv
+
#
# start the Openstack services
#
-#!/bin/bash
+#!/usr/bin/env bash
die() {
echo "$*"
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
basedir=`echo $0 | sed 's/[^/]*$//g'`.
. $basedir/common.sh
-#!/bin/bash
+#!/usr/bin/env bash
# Copyright (C) 2012 Dreamhost, LLC
#
-#!/bin/bash
+#!/usr/bin/env bash
# Copyright (C) 2012 Dreamhost, LLC
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# This is a wrapper around run_xfstests.sh to provide an expunge file
# suitable for krbd xfstests runs.
-#!/bin/bash
+#!/usr/bin/env bash
#
# TODO switch to run_xfstests.sh (see run_xfstests_krbd.sh)
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
basedir=`echo $0 | sed 's/[^/]*$//g'`.
testdir="$1"
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
mkdir -p testspace
ceph-fuse testspace -m $1
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
mkdir -p testspace
/bin/mount -t ceph $1 testspace
./runallonce.sh testspace
-/bin/umount testspace
\ No newline at end of file
+/bin/umount testspace
-#!/bin/bash
+#!/usr/bin/env bash
die() {
echo ${@}
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2013,2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014,2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2017 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2017 Red Hat <contact@redhat.com>
#
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
source $CEPH_ROOT/qa/standalone/ceph-helpers.sh
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2013,2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2013 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2017 Quantum Corp.
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 SUSE LINUX GmbH
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2013 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014,2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 SUSE LINUX GmbH
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2013, 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Generic pool quota test
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
source $CEPH_ROOT/qa/standalone/ceph-helpers.sh
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2016 Piotr Dałek <git@predictor.org.pl>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Intel <contact@intel.com.com>
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Author: Vicente Cheng <freeze.bilsted@gmail.com>
#
-#! /bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
#
-#!/bin/bash -x
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Red Hat <contact@redhat.com>
#
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Library Public License for more details.
#
+set -x
source $CEPH_ROOT/qa/standalone/ceph-helpers.sh
if [ `uname` = FreeBSD ]; then
-#! /bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
#
# allow passwordless access for debugging
- |
- #!/bin/bash
+ #!/usr/bin/env bash
exec passwd -d ubuntu
- |
- #!/bin/bash
+ #!/usr/bin/env bash
# mount a NFS share for storing logs
apt-get update
- |
- #!/bin/bash
+ #!/usr/bin/env bash
cp /var/log/cloud-init-output.log /mnt/log
- |
- #!/bin/bash
+ #!/usr/bin/env bash
umount /mnt/log
- |
- #!/bin/bash
+ #!/usr/bin/env bash
shutdown -h -P now
-#!/bin/bash
+#!/usr/bin/env bash
if [ -f $(dirname $0)/../ceph-helpers-root.sh ]; then
source $(dirname $0)/../ceph-helpers-root.sh
else
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
#
-#!/bin/bash -x
+#!/usr/bin/env bash
# -*- mode:shell-script; tab-width:8; sh-basic-offset:2; indent-tabs-mode:t -*-
# vim: ts=8 sw=8 ft=bash smarttab
+set -x
source $(dirname $0)/../../standalone/ceph-helpers.sh
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
expect_false()
{
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
# Copyright (C) 2013,2014 Cloudwatt <libre.licensing@cloudwatt.com>
-#!/bin/bash -ex
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Red Hat <contact@redhat.com>
#
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Library Public License for more details.
#
+set -ex
: ${CORPUS:=https://github.com/ceph/ceph-erasure-code-corpus.git}
: ${DIRECTORY:=$CEPH_ROOT/ceph-erasure-code-corpus}
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
-set -x
+set -ex
# detect data pool
datapool=
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
# check if there is file changed while being archived
set -e
-#!/bin/bash
+#!/usr/bin/env bash
-set -e
-set -x
+set -ex
function expect_false()
{
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
ceph mds set allow_new_snaps true --yes-i-really-mean-it
rm file?
-echo OK
\ No newline at end of file
+echo OK
-#!/bin/bash
+#!/usr/bin/env bash
ceph mds set allow_new_snaps true --yes-i-really-mean-it
-#!/bin/bash
+#!/usr/bin/env bash
set -e
set -x
-#!/bin/bash
+#!/usr/bin/env bash
set -e
set -x
-#!/bin/bash
+#!/usr/bin/env bash
set -e
set -x
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -e
set -x
-#!/bin/bash
+#!/usr/bin/env bash
tmp=/tmp/cephtest-mon-caps-madness
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
function expect_false()
{
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
function expect_false()
{
-#!/bin/bash
+#!/usr/bin/env bash
# attempt to trigger #6047
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
what="$1"
[ -z "$what" ] && what=/etc/udev/rules.d
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
parallel=1
[ "$1" = "--serial" ] && parallel=0
-#!/bin/bash
+#!/usr/bin/env bash
set -ex
shopt -s nullglob # fns glob expansion in expect_alloc_hint_eq()
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
expect_false()
{
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
+
############################################
# Helper functions
############################################
-#!/bin/bash -ex
+#!/usr/bin/env bash
-set -u
+set -uex
# number of osds = 10
crushtool -o crushmap --build --num_osds 10 host straw 2 rack straw 2 row straw 2 root straw 0
-#!/bin/bash -x
+#!/usr/bin/env bash
-set -e
+set -ex
expect_1()
{
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
delay_mon() {
MSGTYPE=$1
-#!/bin/bash
+#!/usr/bin/env bash
die() {
echo "$@"
-#!/bin/bash -e
+#!/usr/bin/env bash
# Copyright (C) 2013 Inktank Storage, Inc.
#
################################################################
-set -x
+set -ex
# Default flag values; RBD_CONCURRENT_ITER names are intended
# to be used in yaml scripts to pass in alternate values, e.g.:
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
function cleanup() {
rbd snap purge foo || :
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
max=20
size=1500
-#!/bin/bash
+#!/usr/bin/env bash
# This is a test for http://tracker.ceph.com/issues/8979 and the fallout
# from triaging it. #8979 itself was random crashes on corrupted memory
-#!/bin/bash -e
+#!/usr/bin/env bash
# Copyright (C) 2013 Inktank Storage, Inc.
#
# supercede these defaults. Such variables have names that begin
# with "IMAGE_READ_", for e.g. use IMAGE_READ_PAGE_SIZE=65536
# to use 65536 as the page size.
+set -e
DEFAULT_VERBOSE=true
DEFAULT_TEST_CLONES=true
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
. $(dirname $0)/../ceph-helpers.sh
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
CEPH_SECRET_FILE=${CEPH_SECRET_FILE:-}
CEPH_ID=${CEPH_ID:-admin}
-#!/bin/bash
+#!/usr/bin/env bash
set -ex
-#!/bin/bash
+#!/usr/bin/env bash
set -ex
-#!/bin/bash
+#!/usr/bin/env bash
# This documents the state of things as of 4.12-rc4.
#
-#!/bin/bash
+#!/usr/bin/env bash
set -ex
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
RUN_TIME=300 # approximate duration of run (seconds)
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
pool=rbd
gen=$pool/gen
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
IMAGE_FEATURES="layering,exclusive-lock,object-map,fast-diff"
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
if [[ -z "${IMAGE_NAME}" ]]; then
echo image name must be provided
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
if [[ -z "${IMAGE_NAME}" ]]; then
echo image name must be provided
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
. $(dirname $0)/../ceph-helpers.sh
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
# create a snapshot, then export it and check that setting read flags works
# by looking at --debug-ms output
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
STACK_BRANCH=stable/ocata
EOF
cat<<EOF > ${STACK_HOME_PATH}/start.sh
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
cd ${STACK_OPT_PATH}
git clone https://git.openstack.org/openstack-dev/devstack -b ${STACK_BRANCH}
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
TMPDIR=/tmp/rbd_test_admin_socket$$
mkdir $TMPDIR
-#!/bin/bash -x
+#!/usr/bin/env bash
# can't use -e because of background process
+set -x
IMAGE=rbdrw-image
LOCKID=rbdrw
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
dir=`dirname $0`
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
# run s3-tests from current directory. assume working
# ceph environment (radosgw-admin in path) and rgw on localhost:8000
-#!/bin/bash
+#!/usr/bin/env bash
set -e
echo "getting blogbench"
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -e
set -x
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -x
-#!/bin/bash
+#!/usr/bin/env bash
BIN_PATH=${TESTDIR}/fsstress/ltp-full-20091231/testcases/kernel/fs/fsstress/fsstress
-#!/bin/bash
+#!/usr/bin/env bash
set -e
echo "getting iogen"
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -ex
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -ex
-#!/bin/bash
+#!/usr/bin/env bash
#
# Ceph distributed storage system
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 SUSE LINUX GmbH
# Copyright (C) 2016 <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2014, 2015, 2016, 2017 Red Hat <contact@redhat.com>
[ "$fpath" = `readlink -f $CEPH_BIN/$command` ] || [ "$fpath" = `readlink -f $(pwd)/$command` ] || return 1
cat > $dir/$command <<EOF
-#!/bin/bash
+#!/usr/bin/env bash
touch $dir/used-$command
exec $CEPH_BIN/$command "\$@"
EOF
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
# If these files exist, assume we are a source install.
if [[ -f ../share/known_hosts_drop.ceph.com && -f ../share/id_rsa_drop.ceph.com ]]
-#!/bin/bash
+#!/usr/bin/env bash
config_dir="configs"
repeat=2 #5
-#!/bin/bash
+#!/usr/bin/env bash
if [ "$1" != "" ]; then
output_file="$1"
-#!/bin/bash
+#!/usr/bin/env bash
# default value
k_way=3 #11
-#!/bin/bash
+#!/usr/bin/env bash
#
# rbdmap Ceph RBD Mapping
#
-#!/bin/bash
+#!/usr/bin/env bash
fname=$1
[ -z "$fname" ] && exit
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
set -e
-#!/bin/bash
+#!/usr/bin/env bash
#
# multi-dump.sh
-#!/bin/bash
+#!/usr/bin/env bash
original_image=
hosts=
-#!/bin/bash
+#!/usr/bin/env bash
do_map() {
# Read /etc/rbdtab to create non-existant mapping
-#!/bin/bash
+#!/usr/bin/env bash
# This can be run from e.g. the senta machines which have docker available. You
# may need to run this script with sudo.
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
while true; do
./ceph daemon osd.0 config set bdev_inject_crash 2
-#! /bin/bash
+#! /usr/bin/env bash
shopt -s nullglob
-#!/bin/bash
+#!/usr/bin/env bash
function die() {
echo $@ >&2
-#! /bin/bash
+#!/usr/bin/env bash
# copy a linear file from srcFile to destination disk in a loop until writeSize MBs is written
# destinationDisk is a SMR Host Aware Disk eg. /dev/sdb
-#! /bin/bash
+#! /usr/bin/env bash
# copy a linear file from srcFile to destination SMRDisk in a loop until writeSize MBs is written
# SMRDisk is the SMR Host Aware / Host Managed Disk eg. /dev/sdb
-#!/bin/bash
+#!/usr/bin/env bash
set -e
name=`echo $0 | sed 's/\//_/g'`
iozone -c -e -s 1024M -r 1M -t 1 -F f2 -i 0 -i 1
iozone -c -e -s 10240M -r 1M -t 1 -F f3 -i 0 -i 1
-cd ..
\ No newline at end of file
+cd ..
-#!/bin/bash
+#!/usr/bin/env bash
set -e
name=`echo $0 | sed 's/\//_/g'`
-#!/bin/bash
+#!/usr/bin/env bash
source $(dirname $0)/../detect-build-env-vars.sh
-#!/bin/bash
+#!/usr/bin/env bash
if [ -n "$CEPH_BUILD_DIR" ] && [ -n "$CEPH_ROOT" ] && [ -n "$CEPH_BIN" ] && [ -n "$CEPH_LIB" ]; then
echo "Enivronment Variables Already Set"
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014, 2015 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014 Red Hat <contact@redhat.com>
#
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
source $(dirname $0)/../detect-build-env-vars.sh
source $CEPH_ROOT/qa/standalone/ceph-helpers.sh
dir=$1
-set -e
-
tmp1=`mktemp /tmp/typ-XXXXXXXXX`
tmp2=`mktemp /tmp/typ-XXXXXXXXX`
tmp3=`mktemp /tmp/typ-XXXXXXXXX`
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
BDIR=`pwd`
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
source $(dirname $0)/../detect-build-env-vars.sh
dir=$CEPH_ROOT/ceph-object-corpus
-set -e
-
failed=0
numtests=0
pids=""
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2014,2015,2017 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
# vim: ts=8 sw=2 smarttab
#
# run_seed_to.sh - Run ceph_test_filestore_idempotent_sequence up until an
-#!/bin/bash
+#!/usr/bin/env bash
. "`dirname $0`/test-rgw-common.sh"
. "`dirname $0`/test-rgw-meta-sync.sh"
-#!/bin/bash
+#!/usr/bin/env bash
rgw_flags="--debug-rgw=20 --debug-ms=1"
-#!/bin/bash
+#!/usr/bin/env bash
. "`dirname $0`/test-rgw-common.sh"
-#!/bin/bash
+#!/usr/bin/env bash
[ $# -lt 1 ] && echo "usage: $0 <num-clusters>" && exit 1
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
# this should be run from the src directory in the ceph.git
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
# this should be run from the src directory in the ceph.git
-#!/bin/bash -ex
+#!/usr/bin/env bash
+set -ex
# this should be run from the src directory in the ceph.git (when built with
# automake) or cmake build directory
-#!/bin/bash
+#!/usr/bin/env bash
[ -z $ITERATIONS ] && ITERATIONS=10
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# test_common.sh
-#!/bin/bash
+#!/usr/bin/env bash
#Generic test_crush_bucket test
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# Runs the synthetic client
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# Test the lost object logic
-#!/bin/bash
+#!/usr/bin/env bash
#
# test pidfile here
-#!/bin/bash
+#!/usr/bin/env bash
#Generic create pool use crush rule test
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# Test pools
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# Generic read/write from object store test
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# Add some objects to the data PGs, and then test splitting those PGs
-#!/bin/bash -e
+#!/usr/bin/env bash
+set -e
source $(dirname $0)/detect-build-env-vars.sh
-#!/bin/bash -x
+#!/usr/bin/env bash
+set -x
#
# Creates some unfound objects and then tests finding them.
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2013 Cloudwatt <libre.licensing@cloudwatt.com>
# Copyright (C) 2015 Red Hat <contact@redhat.com>
-#!/bin/bash
+#!/usr/bin/env bash
#
# ceph-lazy : Be efficient, be lazy !
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Red Hat <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
# file: common_h
#
# Copyright (C) 2015 Ubuntu Kylin
-#!/bin/bash
+#!/usr/bin/env bash
# file: database_h
#
# Copyright (C) 2015 Ubuntu Kylin
-#!/bin/bash
+#!/usr/bin/env bash
# file: epoch_h
#
# Copyright (C) 2015 Ubuntu Kylin
-#!/bin/bash
+#!/usr/bin/env bash
# file: metadata_h
#
# Copyright (C) 2015 Ubuntu Kylin
-#!/bin/bash
+#!/usr/bin/env bash
# file: osd_job
#
# Copyright (C) 2015 Ubuntu Kylin
-#!/bin/bash
+#!/usr/bin/env bash
# file: rbd-recover-tool
#
# Copyright (C) 2015 Ubuntu Kylin
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2015 Ubuntu Kylin
#
-#!/bin/bash
+#!/usr/bin/env bash
#
# Copyright (C) 2016 <contact@redhat.com>
#
-#!/bin/bash
+#!/usr/bin/env bash
# abort on failure
set -e
-#! /bin/bash
+#! /usr/bin/env bash
### BEGIN INIT INFO
# Provides: ceph ceph-mon ceph-osd